/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140926-64 [Oct  1 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ssdt6.dat, Tue Jan 13 13:48:16 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000379 (889)
 *     Revision         0x01
 *     Checksum         0x14
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "1963    "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("ssdt6.aml", "SSDT", 1, "HPQOEM", "1963    ", 0x00001000)
{

    External (_SB_.PCI0.LPCB.H_EC.ALAN, UnknownObj)
    External (_SB_.PCI0.LPCB.H_EC.AOAM, IntObj)
    External (_SB_.PCI0.LPCB.H_EC.ECTM, UnknownObj)
    External (_SB_.PCI0.LPCB.H_EC.ECWK, UnknownObj)
    External (_SB_.PCI0.LPCB.H_EC.ERWK, UnknownObj)
    External (_SB_.PCI0.LPCB.H_EC.WKWL, UnknownObj)
    External (ICNF, IntObj)

    Scope (\_SB)
    {
        Device (IAOE)
        {
            OperationRegion (ISCT, SystemMemory, 0x9CE7EC98, 0x0011)
            Field (ISCT, AnyAcc, Lock, Preserve)
            {
                WKRS,   8, 
                AOCE,   8, 
                FFSE,   8, 
                ITMR,   8, 
                ECTM,   32, 
                RCTM,   32, 
                GNPT,   32, 
                ATOW,   8
            }

            Name (_HID, "INT33A0" /* Intel Smart Connect Technology Device */)  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (IBT1, Zero)
            Name (IBT2, Zero)
            Name (INSB, Zero)
            Name (WTMS, Zero)
            Name (PTSL, Zero)
            Name (SLPD, Zero)
            Name (IMDS, Zero)
            Name (IWDT, Zero)
            Name (WWS1, Zero)
            Name (AOAN, Zero)
            Method (GABS, 0, NotSerialized)
            {
                Return (ICNF) /* External reference */
            }

            Method (GAOS, 0, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    And (IBT1, One, Local0)
                    Or (Local0, And (IMDS, 0x02), Local0)
                    Return (Local0)
                }
                Else
                {
                    If (LEqual (\_SB.PCI0.LPCB.H_EC.AOAM, One))
                    {
                        Store (One, Local0)
                        If (LEqual (\_SB.PCI0.LPCB.H_EC.ERWK, One))
                        {
                            Store (0x03, Local0)
                        }
                    }
                    Else
                    {
                        Store (Zero, Local0)
                    }

                    Return (Local0)
                }
            }

            Method (SAOS, 1, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    Store (And (Arg0, 0x02), IMDS) /* \_SB_.IAOE.IMDS */
                    And (IBT1, 0xFE, Local0)
                    Or (Local0, And (Arg0, One), IBT1) /* \_SB_.IAOE.IBT1 */
                }
                Else
                {
                    Store (Zero, Local0)
                    Or (Local0, And (Arg0, One), Local0)
                    Store (And (Arg0, 0x02), IMDS) /* \_SB_.IAOE.IMDS */
                    Store (Local0, IBT1) /* \_SB_.IAOE.IBT1 */
                    If (LEqual (IBT1, One))
                    {
                        Store (One, \_SB.PCI0.LPCB.H_EC.AOAM) /* External reference */
                    }
                    Else
                    {
                        Store (Zero, \_SB.PCI0.LPCB.H_EC.AOAM) /* External reference */
                    }

                    If (LEqual (IMDS, 0x02))
                    {
                        Store (One, \_SB.PCI0.LPCB.H_EC.ERWK) /* External reference */
                    }
                    Else
                    {
                        Store (Zero, \_SB.PCI0.LPCB.H_EC.ERWK) /* External reference */
                    }
                }
            }

            Method (GANS, 0, NotSerialized)
            {
                Return (AOAN) /* \_SB_.IAOE.AOAN */
            }

            Method (SANS, 1, NotSerialized)
            {
                Store (And (Arg0, One), INSB) /* \_SB_.IAOE.INSB */
                Store (INSB, AOAN) /* \_SB_.IAOE.AOAN */
            }

            Method (GWLS, 0, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    Return (And (IBT1, 0x0E))
                }
                Else
                {
                    Store (0x0E, Local0)
                    Return (Local0)
                }
            }

            Method (SWLS, 1, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    Store (And (And (Arg0, 0x0E), IBT1), IBT1) /* \_SB_.IAOE.IBT1 */
                }
                Else
                {
                    Store (IBT1, Local0)
                    And (Local0, 0xF1, Local0)
                    Or (Local0, And (Arg0, 0x0E), Local0)
                    Store (0x07, \_SB.PCI0.LPCB.H_EC.ALAN) /* External reference */
                }
            }

            Method (GWWS, 0, NotSerialized)
            {
                Return (WWS1) /* \_SB_.IAOE.WWS1 */
            }

            Method (SWWS, 1, NotSerialized)
            {
                Store (Zero, WWS1) /* \_SB_.IAOE.WWS1 */
            }

            Method (SASD, 1, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    Store (Arg0, RCTM) /* \_SB_.IAOE.RCTM */
                }
                Else
                {
                    Store (Arg0, ECTM) /* \_SB_.IAOE.ECTM */
                    Store (Arg0, \_SB.PCI0.LPCB.H_EC.ECTM) /* External reference */
                }

                Store (Arg0, SLPD) /* \_SB_.IAOE.SLPD */
            }

            Method (GPWR, 0, NotSerialized)
            {
                If (LEqual (\_SB.PCI0.LPCB.H_EC.ECWK, One))
                {
                    Return (0x02)
                }
                Else
                {
                    If (LEqual (\_SB.PCI0.LPCB.H_EC.WKWL, One))
                    {
                        Return (0x08)
                    }
                    Else
                    {
                        And (WKRS, 0x0F)
                        Return (WKRS) /* \_SB_.IAOE.WKRS */
                    }
                }
            }

            Method (GPCS, 0, NotSerialized)
            {
                If (\_SB.PCI0.LPCB.H_EC.AOAM)
                {
                    Return (Zero)
                }
                Else
                {
                    Return (One)
                }
            }

            Method (GAWD, 0, NotSerialized)
            {
                Return (IWDT) /* \_SB_.IAOE.IWDT */
            }

            Method (SAWD, 1, NotSerialized)
            {
                Store (Arg0, IWDT) /* \_SB_.IAOE.IWDT */
            }
        }
    }
}

